@import url(./scrollbar.css);

:root{
    --profileSize: calc(20vw + 30px);
}

body{
    margin: 0;
    max-width: 100%;
    overflow-x: hidden;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.banner{
    height: 30vw;
    max-height: 50vh;
    width: 100%;
    object-fit: cover;
}

/* top-right */
.links {
    position: absolute;
    width: calc(100% - 3px);
    text-align: right;
}

/* prevent images from being too tall*/
.links img{
    height: calc(4vw + 30px);
}

.round {
    border-radius: 50%;
}

.profile{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* make an image a 1:1 circle */
.square{
    aspect-ratio: 1/1;
    overflow: hidden;
    border-radius: 50%;
}

.profilePosition{
    transform: translateY(-50%);
    margin-left: 10vw;
    width: var(--profileSize);
    position: absolute;
}

.extraPadding{
    padding-top: calc(0.5 * var(--profileSize));
}

.textBody{
    padding: 0 5vw 0 5vw;
    transform: translateY(-1 * var(--profileSize));
}

h1{
    font-size: calc(16px + 3vw);
}

p{
    font-size: calc(12px + 1vw);
}

.footer{
    background-color: black;
    text-align: center;
    color: white;
    min-height: 5vh;
    padding: 1vh 0 1vh 0;
    width: 100%;
}

/* horizontal scrolling */
.imageReel{
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap; /* prevent images from going onto newline */
    height: 30vh;
    padding-bottom: 5px;
}

.imageReel img{
    max-height: 100%;
    display: inline;
}

button{
    background-color: black;
    color: white;
    border-radius: 5px;
    border: none;
}

a{
    color: black;
}

.flexContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.flexContainer > div{
    margin: 0;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 200px;
}